{% extends 'layouts/philosophy.html.twig' %}

{% block content %}
    <!-- s-content
        ================================================== -->
    <section class="s-content s-content--narrow s-content--no-padding-bottom">

        <article class="row format-standard">

            <div class="s-content__header col-full">
                <h1 class="s-content__header-title">
                    {{ advert.title }} {% if app.user == advert.user %}<a href="{{ url('advert_edit', {id: advert.id}) }}">EDITER</a>{% endif %}
                </h1>
                <ul class="s-content__header-meta">
                    <li class="date">{{ advert.creationDate | date }}</li>
                    <li class="cat">
                        In
                        <a href="#0">{{ advert.brand }}</a>
                        <a href="#0">{{ advert.model }}</a>
                        <a href="#0">{{ advert.year }}</a>

                    </li>
                </ul>
            </div> <!-- end s-content__header -->

            <div class="s-content__media col-full">
                <div id="diaporama">
                    <div id="bigPhotoWrapper">
                        <img src="{{ photoOrDefault(advert) }}" id="bigPhoto" alt="">
                    </div>
                    <div id="thumbs">
                        {% for photo in advert.photos %}
                        <div class="thumbWrapper">
                            <a href="#{{ photo.id }}" class="thumbLink">
                                <img class="smallPhoto" src="{{ asset('uploads/'~photo.path) }}"/>
                            </a>
                        </div>
                        {% endfor %}
                    </div>
                </div>
            </div> <!-- end s-content__media -->

            <div class="col-full s-content__main">

                {{ advert.description }}

                <p class="s-content__tags">
                    <span class="s-content__tag-list">
                        <a href="#0">{{ advert.category.name }}</a>
                        <a href="#0">{{ advert.wheelSize.numberOfInches }}</a>
                        <a href="#0">{{ advert.material.name }}</a>
                    </span>
                </p> <!-- end s-content__tags -->

                <div class="s-content__author">
{#                    <img src="images/avatars/user-03.jpg" alt="">#}

                    <div class="s-content__author-about">
                        <h4 class="s-content__author-name">
                            <a href="#0">{{ advert.user.email }}</a>
                        </h4>


                    </div>
                </div>

{#                <div class="s-content__pagenav">#}
{#                    <div class="s-content__nav">#}
{#                        <div class="s-content__prev">#}
{#                            <a href="#0" rel="prev">#}
{#                                <span>Previous Post</span>#}
{#                                Tips on Minimalist Design#}
{#                            </a>#}
{#                        </div>#}
{#                        <div class="s-content__next">#}
{#                            <a href="#0" rel="next">#}
{#                                <span>Next Post</span>#}
{#                                Less Is More#}
{#                            </a>#}
{#                        </div>#}
{#                    </div>#}
{#                </div> <!-- end s-content__pagenav -->#}

            </div> <!-- end s-content__main -->

        </article>


        <!-- comments
        ================================================== -->
        <div class="comments-wrap">

            <div id="comments" class="row">
                <div class="col-full">

                    <h3 class="h2">5 Comments</h3>

                    <!-- commentlist -->
                    <ol class="commentlist">

                        <li class="depth-1 comment">

                            <div class="comment__avatar">
                                <img width="50" height="50" class="avatar" src="images/avatars/user-01.jpg" alt="">
                            </div>

                            <div class="comment__content">

                                <div class="comment__info">
                                    <cite>Itachi Uchiha</cite>

                                    <div class="comment__meta">
                                        <time class="comment__time">Dec 16, 2017 @ 23:05</time>
                                        <a class="reply" href="#0">Reply</a>
                                    </div>
                                </div>

                                <div class="comment__text">
                                    <p>Adhuc quaerendum est ne, vis ut harum tantas noluisse, id suas iisque mei. Nec te inani ponderum vulputate,
                                        facilisi expetenda has et. Iudico dictas scriptorem an vim, ei alia mentitum est, ne has voluptua praesent.</p>
                                </div>

                            </div>

                        </li> <!-- end comment level 1 -->


                    </ol> <!-- end commentlist -->


                    <!-- respond
                    ================================================== -->
                    <div class="respond">

                        <h3 class="h2">Add Comment</h3>
                        <div id="commentForm" class="comment-form-wrapper" data-comments-form="{{ url('get_advert_comment_form', {id: advert.id}) }}" data-comments-url="{{ url('get_advert_comments', {id: advert.id}) }}">

                        </div>

                    </div> <!-- end respond -->

                </div> <!-- end col-full -->

            </div> <!-- end row comments -->
        </div> <!-- end comments-wrap -->

    </section> <!-- s-content -->





{% endblock %}

{% block javascripts %}
    {{ parent() }}
    <script>
        document.querySelectorAll('.thumbLink')
            .forEach(link => {
                link.addEventListener('click', e => {
                    document.getElementById("bigPhoto").src = e.target.src;
                });
            });
    </script>

    <script>
        document.querySelectorAll(".comment-form-wrapper")
            .forEach(wrapper => {
                const formUrl = wrapper.getAttribute('data-comments-form');
                fetch(formUrl)
                    .then(response => response.text())
                    .then(response => {
                        wrapper.innerHTML = response;
                        wrapper.querySelector('form')
                            .addEventListener('submit', e => {
                                e.preventDefault();

                                const data = new URLSearchParams(new FormData(e.target));

                                const targetUrl = e.target.getAttribute('action');
                                fetch(targetUrl, {
                                    method: 'post',
                                    body: data,
                                }).then( response => {
                                    refreshComments(e.target.parentElement.getAttribute('data-comments-url'))
                                });
                            });
                    });
            });

        function refreshComments(commentsUrl) {
            fetch(commentsUrl)
                .then(response => response.json())
                .then(comments => {
                        comments = JSON.parse(comments);
                        let commentsElements = '';
                        comments.forEach(comment => {
                            let commentElement = '<li class="depth-1 comment">' +

                                '<div class="comment__content">' +
                                '<div class="comment__info">' +
                                '<cite>' + comment.author.email + '</cite>' +
                                '</div>' +
                                '<div class="comment__text"><p>' +
                                comment.comment +
                                '</p>' +
                                '</div>' +
                                '</div>' +
                                '</li>';
                            commentsElements += commentElement;
                        });

                        document.querySelector('.commentlist').innerHTML = commentsElements;
                    }

                )
        }
    </script>
{% endblock javascripts %}
